clang 10.0.0git

Public Member Functions | List of all members
clang::Parser::ParseScope Class Reference

ParseScope - Introduces a new scope for parsing. More...

`#include "clang/Parse/Parser.h"`

## Public Member Functions
| ParseScope (Parser *Self, unsigned ScopeFlags, bool EnteredScope=true, bool BeforeCompoundStmt=false)
void | Exit ()
| ~ParseScope ()

## Detailed Description

ParseScope - Introduces a new scope for parsing.

The kind of scope is determined by ScopeFlags. Objects of this type should be created on the stack to coincide with the position where the parser enters the new scope, and this object's constructor will create that new scope. Similarly, once the object is destroyed the parser will exit the scope.

Definition at line 1024 of file Parser.h.

## Constructor & Destructor Documentation

## ◆ ParseScope()

clang::Parser::ParseScope::ParseScope | ( | Parser * | Self,
|  | unsigned | ScopeFlags,
|  | bool | EnteredScope = `true`,
|  | bool | BeforeCompoundStmt = `false`
| ) |  |
| inline

Definition at line 1033 of file Parser.h.

References clang::Parser::EnterScope(), and clang::Parser::incrementMSManglingNumber().

## ◆ ~ParseScope()

clang::Parser::ParseScope::~ParseScope | ( |  | ) |
| inline

Definition at line 1055 of file Parser.h.

References clang::Parser::Diag(), clang::Parser::EnterScope(), and clang::Parser::ExitScope().

## Member Function Documentation

## ◆ Exit()

void clang::Parser::ParseScope::Exit | ( |  | ) |
| inline

Definition at line 1048 of file Parser.h.

References clang::Parser::ExitScope().

Referenced by clang::Parser::ParseTopLevelDecl().

The documentation for this class was generated from the following file:

- include/clang/Parse/Parser.h